#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x80,0x7B,0x30,0x62,0x56,0xDB,0xD5,0x6F,0xE1,0x88,0xAB,0xA8,
		0x99,0x64,0x6D,0x37,0x44,0xD4,0x45,0xBB,0x39,0x5A,0x10,0xA0,
		0x55,0xFE,0x12,0x36,0x04,0xD1,0x88,0x76,0x91,0x5E,0xFC,0xC0,
		0x95,0x41,0x0F,0x93,0xFA,0x1A,0xB7,0xEB,0x12,0x5D,0xDA,0x46,
		0x47,0x6A,0x5A,0x06,0xFD,0x83,0x5D,0xD0,0xB6,0xB2,0xFE,0x11,
		0x86,0x07,0xB0,0xD7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
